[Rubygems-developers] How to bundle up MS Windows version separately

Trans transfire at gmail.com
Sun Nov 4 22:46:01 EST 2007


On Nov 4, 2007 10:41 PM, Assaph Mehr <assaph at gmail.com> wrote:
> Hi Mikel,
>
>
> > I am wondering if anyone has a good link / resource / howto, whatever
> > on how you make a windows gem or a different version so that you get
> > this sort of output on gem install:
> >
> > Select which gem to install for your platform (i386-openbsd4.1)
> >  1. hpricot 0.6 (mswin32)
> >  2. hpricot 0.6 (jruby)
> >  3. hpricot 0.6 (ruby)
> >  4. ...
>
> Look at: http://rubygems.org/read/chapter/20#platform
> Use the #platform directive of the gem specification to note the
> target platform. The default is Ruby.

So essentially the best course of action is to pre-compile and create
multiple gems for each platform?

T.


More information about the Rubygems-developers mailing list